%if 0%{?suse_version}
%define daemon_group www
%define httpconfdir %_sysconfdir/apache2/conf.d
%else
%define daemon_group apache
%define httpconfdir %_sysconfdir/httpd/conf.d
%endif

Summary: Empty dummy package that depends either on httpd or apache2 based on vendor
Name: op5-httpd
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
Group: op5/system-addons
License: op5 Software License
Prefix: %repodir
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
%if "%{_vendor}" == "redhat"
Requires: httpd
Requires: php-common
Requires: mod_ssl
Requires: php
%else
Requires: apache2
Requires: apache2-mod_php53
Requires: apache2-prefork
Requires: php53
%endif
Provides: op5-monitor-supported-webserver

%description
This is an empty dummy package that statisfies the dependencies of op5's
webserver depending packages.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%repodir

install -d %buildroot%_docdir/op5-httpd-%{version}
install README.op5-monitor-supported-webservers %buildroot%_docdir/op5-httpd-%{version}/README
install -d %buildroot%httpconfdir
install op5-httpd-rewrite-rule.conf %buildroot%httpconfdir/op5-rewrite-rule.conf

%post
%if "%{_vendor}" == "redhat"
if [ $1 -eq 1 ]; then
	system_timezone=$(cat /etc/sysconfig/clock 2>/dev/null |grep ZONE| cut -d"=" -f 2|sed 's/"//g'|sed 's|/|\\\/|g')
	if [ "x$system_timezone" == "x" ];then
		echo "Couldn't figure out system timezone, you must set this manually"
	else
		php_timezone=$(grep -e "^[[:space:]]*date.timezone" /etc/php.ini)
		if [ "x$php_timezone" == "x" ]; then
			grep -q -e "^[[:space:];]*date.timezone" /etc/php.ini
			if [ $? -eq 0 ]; then
				sed -i "s/\(^[[:space:];]*date.timezone.*\)/\1\ndate.timezone = \"$system_timezone\"/g" /etc/php.ini
			elif [ $? -eq 1 ]; then
				sed -i "s/\(^\[Date\]\)/\1\ndate.timezone = \"$system_timezone\"/g" /etc/php.ini
			fi
		fi
	fi
fi
chkconfig httpd on

if ! service httpd status; then
	service httpd start
fi
%else
if [ ! -e /etc/apache2/vhosts.d/vhost-ssl.conf ]; then
	cp /etc/apache2/vhosts.d/vhost-ssl.template  /etc/apache2/vhosts.d/vhost-ssl.conf
fi
if [[ ! -e /etc/apache2/ssl.crt/server.crt || ! $(grep -q SKIPME /etc/apache2/ssl.crt/server.crt) ]]; then
	pushd /usr/share/doc/packages/apache2/
	./mkcert.sh make --no-print-directory /usr/bin/openssl /usr/sbin/ dummy
	popd
fi
a2enflag SSL
a2enmod rewrite
chkconfig apache2 on
service apache2 restart
%endif

%files
%defattr(-, root, root)
%doc %_docdir/op5-httpd-%{version}/README
%httpconfdir/op5-rewrite-rule.conf

%clean
rm -rf %buildroot

